<?php

/**************************************************************************
PhotoPlog Lite License
===========================================================================
This software is as-is, no warranty of any kind, use at your own risk.
You are granted free use of this software. However, you are not permitted 
under any circumstances to redistribute the software, whether in whole or 
in part. Also, the 'powered by' links must remain intact and visible. Make 
sure to understand that this is *not GPL software. Do not redistribute it, 
and do not use parts of it in other software. This software is copyrighted 
in its entirety to 'calorie' a/k/a ThinkDing LLC 2005, all rights reserved.
The software author/entity are in no way responsible for your site content.
All copyright notices and 'powered by' links must not be changed or removed.
***************************************************************************/

// #################### PREVENT UNAUTHORIZED USERS ########################
if (!defined('PHOTOPLOG_SCRIPT'))
{
	exit();
}

$photoplog_auth_access = 0;

if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcanviewfiles'])
{
	define('PHOTOPLOG_USER1','view');
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'view')
	{
		$photoplog_auth_access = 1;
	}
}

if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcanuploadfiles'])
{
	define('PHOTOPLOG_USER2','upload');
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'upload')
	{
		$photoplog_auth_access = 1;
	}
}

if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcaneditownfiles'])
{
	define('PHOTOPLOG_USER3','editown');
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'edit')
	{
		$photoplog_auth_access = 1;
	}
}

if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcandeleteownfiles'])
{
	define('PHOTOPLOG_USER4','deleteown');
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'delete')
	{
		$photoplog_auth_access = 1;
	}
}

if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcaneditotherfiles'])
{
	define('PHOTOPLOG_USER5','editothers');
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'edit')
	{
		$photoplog_auth_access = 1;
	}
}

if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcandeleteotherfiles'])
{
	define('PHOTOPLOG_USER6','deleteothers');
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'delete')
	{
		$photoplog_auth_access = 1;
	}
}

$photoplog_comment_view = 0;
if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcanviewcomments'])
{
	define('PHOTOPLOG_USER7','commentview');
	$photoplog_comment_view = 1;
	// view comments inside view file
}

$photoplog_comment_make = 0;
if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcancommentonfiles'])
{
	define('PHOTOPLOG_USER8','commentmake');
	$photoplog_comment_make = 1;
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'comment')
	{
		$photoplog_auth_access = 1;
	}
}

$photoplog_comment_editown = 0;
if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcaneditowncomments'])
{
	define('PHOTOPLOG_USER9','commenteditown');
	$photoplog_comment_editown = 1;
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'comment')
	{
		$photoplog_auth_access = 1;
	}
}

$photoplog_comment_deleteown = 0;
if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcandeleteowncomments'])
{
	define('PHOTOPLOG_USER10','commentdeleteown');
	$photoplog_comment_deleteown = 1;
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'comment')
	{
		$photoplog_auth_access = 1;
	}
}

$photoplog_comment_editothers = 0;
if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcaneditothercomments'])
{
	define('PHOTOPLOG_USER11','commenteditothers');
	$photoplog_comment_editothers = 1;
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'comment')
	{
		$photoplog_auth_access = 1;
	}
}

$photoplog_comment_deleteothers = 0;
if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcandeleteothercomments'])
{
	define('PHOTOPLOG_USER12','commentdeleteothers');
	$photoplog_comment_deleteothers = 1;
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'comment')
	{
		$photoplog_auth_access = 1;
	}
}

if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcanusesearchfeature'])
{
	define('PHOTOPLOG_USER13','search');
	if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'search')
	{
		$photoplog_auth_access = 1;
	}
}

if (defined('PHOTOPLOG_LEVEL') && PHOTOPLOG_LEVEL == 'bypass')
{
	// for misc.php and private.php redirects
	$photoplog_auth_access = 1;
}

if (!$photoplog_auth_access)
{
	$photoplog_base_href = "<base href=\"".$vbulletin->options['bburl']."/".$vbulletin->options['forumhome'].".php\" />\n";
	$headinclude = $photoplog_base_href.$headinclude;
	$show['permission_error'] = true;
	$navbits = array();
	$navbits[''] = $vbphrase['photoplog_error'];
	$navbits = construct_navbits($navbits);
	eval('$navbar = "' . fetch_template('navbar') . '";');
	eval('$photoplog_html_output = "' . fetch_template('STANDARD_ERROR') . '";');
	$photoplog_temptext1 = "<!-- / forum jump -->[\r\n ]*<br />";
	$photoplog_temptext2 = "<!-- / forum jump -->\n$photoplog_powered_by";
	$photoplog_html_output = eregi_replace($photoplog_temptext1,$photoplog_temptext2,$photoplog_html_output);
	eval('print_output($photoplog_html_output);');
	exit();
}

?>