<?php

/**************************************************************************
PhotoPlog Lite License
===========================================================================
This software is as-is, no warranty of any kind, use at your own risk.
You are granted free use of this software. However, you are not permitted 
under any circumstances to redistribute the software, whether in whole or 
in part. Also, the 'powered by' links must remain intact and visible. Make 
sure to understand that this is *not GPL software. Do not redistribute it, 
and do not use parts of it in other software. This software is copyrighted 
in its entirety to 'calorie' a/k/a ThinkDing LLC 2005, all rights reserved.
The software author/entity are in no way responsible for your site content.
All copyright notices and 'powered by' links must not be changed or removed.
***************************************************************************/

// ###################### REQUIRE PLOG BACK-END ###########################
define('PHOTOPLOG_LEVEL','delete');
require_once('./settings.php');

// ########################### Start Delete Page ##########################
if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = 'delete';
}

if ($_REQUEST['do'] == 'delete')
{
	$vbulletin->input->clean_array_gpc('g', array(
		'n' => TYPE_UINT
	));

	$photoplog_file_id = $vbulletin->GPC['n'];

	$photoplog_file_info = '';
	if (!$photoplog_file_info_links && $photoplog_file_id)
	{
		$photoplog_file_info = $db->query_first("SELECT *
							FROM photoplog_fileuploads
							WHERE fileid = ".intval($photoplog_file_id)."
							$photoplog_admin_sql1
		");
	}
	else if ($photoplog_file_info_links && $photoplog_file_id)
	{
		$photoplog_file_info = $photoplog_file_info_links;
	}
	unset($photoplog_file_info_links);

	if ($photoplog_file_info)
	{
		if (($photoplog_file_info['userid'] == $vbulletin->userinfo['userid']) || defined('PHOTOPLOG_USER6'))
		{
			$photoplog_fileid = $photoplog_file_info['fileid'];
			$photoplog_userid = $photoplog_file_info['userid'];
			$photoplog_filename = $photoplog_file_info['filename'];

			$photoplog_file_link = photoplog_file_link($photoplog_userid, $photoplog_fileid, $photoplog_filename);

			photoplog_output_page('photoplog_delete_form', $vbphrase['photoplog_delete_file']);
		}
		else
		{
			photoplog_index_bounce();
		}
	}
	else
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_tank']);
	}
}

if ($_POST['do'] == 'dodelete')
{
	$vbulletin->input->clean_array_gpc('p', array(
		'userfileinfo' => TYPE_ARRAY
	));

	$photoplog_userfileinfo = $vbulletin->GPC['userfileinfo'];

	$photoplog_file_id = intval($photoplog_userfileinfo['oldfile']);

	$photoplog_file_info = $db->query_first("SELECT *
						FROM photoplog_fileuploads
						WHERE fileid = ".intval($photoplog_file_id)."
						$photoplog_admin_sql1
	");

	if ($photoplog_file_info)
	{
		if (($photoplog_file_info['userid'] != $vbulletin->userinfo['userid']) && !defined('PHOTOPLOG_USER6'))
		{
			photoplog_index_bounce();
		}
		else
		{
			$photoplog_file_userid = $photoplog_file_info['userid'];
			$photoplog_directory_name = PHOTOPLOG_BWD."/".$vbulletin->options['photoplog_upload_dir']."/".$photoplog_file_userid;
			$photoplog_file_old = $photoplog_file_info['filename'];

			if (
				$db->query_write("DELETE FROM photoplog_fileuploads
							WHERE fileid = ".intval($photoplog_file_id)."
							$photoplog_admin_sql1
				")
			)
			{
				$db->query_write("DELETE FROM photoplog_ratecomment
							WHERE fileid = ".intval($photoplog_file_id)."
				");
				@unlink($photoplog_directory_name."/".$photoplog_file_old);
				@unlink($photoplog_directory_name."/large/".$photoplog_file_old);
				@unlink($photoplog_directory_name."/medium/".$photoplog_file_old);
				@unlink($photoplog_directory_name."/small/".$photoplog_file_old);
			}

			photoplog_index_bounce();
		}
	}
	else
	{
		photoplog_index_bounce();
	}
}

if ($_REQUEST['do'] != 'delete' && $_POST['do'] != 'dodelete')
{
	photoplog_index_bounce();
}

?>