<?php

/**************************************************************************
PhotoPlog Lite License
===========================================================================
This software is as-is, no warranty of any kind, use at your own risk.
You are granted free use of this software. However, you are not permitted 
under any circumstances to redistribute the software, whether in whole or 
in part. Also, the 'powered by' links must remain intact and visible. Make 
sure to understand that this is *not GPL software. Do not redistribute it, 
and do not use parts of it in other software. This software is copyrighted 
in its entirety to 'calorie' a/k/a ThinkDing LLC 2005, all rights reserved.
The software author/entity are in no way responsible for your site content.
All copyright notices and 'powered by' links must not be changed or removed.
***************************************************************************/

// ###################### REQUIRE PLOG BACK-END ###########################
define('PHOTOPLOG_LEVEL','edit');
require_once('./settings.php');

// ############################ Start Edit Page ###########################
if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = 'edit';
}

if ($_REQUEST['do'] == 'edit')
{
	$vbulletin->input->clean_array_gpc('g', array(
		'n' => TYPE_UINT
	));

	$photoplog_file_id = $vbulletin->GPC['n'];

	$photoplog_file_info = '';
	if (!$photoplog_file_info_links && $photoplog_file_id)
	{
		$photoplog_file_info = $db->query_first("SELECT *
							FROM photoplog_fileuploads
							WHERE fileid = ".intval($photoplog_file_id)."
							$photoplog_admin_sql1
		");
	}
	else if ($photoplog_file_info_links && $photoplog_file_id)
	{
		$photoplog_file_info = $photoplog_file_info_links;
	}
	unset($photoplog_file_info_links);

	if ($photoplog_file_info)
	{
		if (($photoplog_file_info['userid'] == $vbulletin->userinfo['userid']) || defined('PHOTOPLOG_USER5') || defined('PHOTOPLOG_USER6'))
		{
			$photoplog_fileid = $photoplog_file_info['fileid'];
			$photoplog_title = htmlspecialchars_uni($photoplog_file_info['title']);
			$photoplog_description = htmlspecialchars_uni($photoplog_file_info['description']);
			$photoplog_userid = $photoplog_file_info['userid'];
			$photoplog_filename = $photoplog_file_info['filename'];

			$photoplog_file_link = photoplog_file_link($photoplog_userid, $photoplog_fileid, $photoplog_filename);

			$photoplog_file_catid = $photoplog_file_info['catid'];
			ob_start();
			print_select_row($vbphrase['photoplog_category'], 'userfileinfo[catid]', $photoplog_list_categories, $photoplog_file_catid, true, 0, false);
			$photoplog_select_row = ob_get_contents();
			ob_end_clean();
			$photoplog_select_row = str_replace("class=\"alt1\"","class=\"alt2\"",$photoplog_select_row);
			$photoplog_select_row = str_replace("class=\"bginput\"","class=\"\"",$photoplog_select_row);

			$photoplog_maxfilesize = intval($permissions['photoplogmaxfilesize']);
			$photoplog_maxfilesize = vb_number_format($photoplog_maxfilesize,1,true);

			photoplog_output_page('photoplog_edit_form', $vbphrase['photoplog_edit_file']);
		}
		else
		{
			photoplog_index_bounce();
		}
	}
	else
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_edit']);
	}
}

if ($_POST['do'] == 'doedit')
{
	$vbulletin->input->clean_array_gpc('p', array(
		'userfileinfo' => TYPE_ARRAY
	));

	$vbulletin->input->clean_array_gpc('f', array(
		'userfile' => TYPE_ARRAY
	));

	$photoplog_userfileinfo = $vbulletin->GPC['userfileinfo'];

	$photoplog_file_title = trim($photoplog_userfileinfo['title']);
	$photoplog_file_description = trim($photoplog_userfileinfo['description']);
	$photoplog_file_id = intval($photoplog_userfileinfo['oldfile']);

	$photoplog_file_catid = intval($photoplog_userfileinfo['catid']);
	if ($photoplog_file_catid < 0)
	{
		$photoplog_file_catid = 0;
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_no'].' '.$vbphrase['photoplog_category']);
	}

	$photoplog_userfile = $vbulletin->GPC['userfile'];

	if (is_array($photoplog_userfile['name']))
	{
		$photoplog_userfile['name'] = $photoplog_userfile['name'][0];
		$photoplog_userfile['type'] = $photoplog_userfile['type'][0];
		$photoplog_userfile['tmp_name'] = $photoplog_userfile['tmp_name'][0];
		$photoplog_userfile['error'] = $photoplog_userfile['error'][0];
		$photoplog_userfile['size'] = $photoplog_userfile['size'][0];
	}

	$photoplog_file_name = eregi_replace("[^a-z0-9._-]","_",trim($photoplog_userfile['name']));
	$photoplog_file_type = htmlspecialchars_uni($photoplog_userfile['type']);
	$photoplog_file_tmp_name = htmlspecialchars_uni($photoplog_userfile['tmp_name']);
	$photoplog_file_error = intval($photoplog_userfile['error']);
	$photoplog_file_size = intval($photoplog_userfile['size']);

	$photoplog_file_edit = 1;

	if (
		!$photoplog_file_name
			||
		!$photoplog_file_type
			||
		!$photoplog_file_tmp_name
			||
		$photoplog_file_error
			||
		!$photoplog_file_size
	)
	{
		$photoplog_file_edit = 0;
	}

	$photoplog_file_old = '';

	$photoplog_file_info = $db->query_first("SELECT *
						FROM photoplog_fileuploads
						WHERE fileid = ".intval($photoplog_file_id)."
						$photoplog_admin_sql1
	");

	if ($photoplog_file_info)
	{
		if (($photoplog_file_info['userid'] != $vbulletin->userinfo['userid']) && !defined('PHOTOPLOG_USER5') && !defined('PHOTOPLOG_USER6'))
		{
			photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_view']);
		}
		else
		{
			$photoplog_file_old = $photoplog_file_info['filename'];
			$photoplog_file_userid = $photoplog_file_info['userid'];
			$photoplog_file_username = $photoplog_file_info['username'];
			if (!$photoplog_file_edit || !$photoplog_file_size)
			{
				$photoplog_file_size = $photoplog_file_info['filesize'];
			}
			$photoplog_file_moderate = 1;
			if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcanuploadunmoderatedfiles'])
			{
				$photoplog_file_moderate = 0;
			}
		}
	}
	else
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_view']);
	}

	if ($photoplog_file_edit)
	{
		if (
			(($photoplog_file_userid != $vbulletin->userinfo['userid']) && !defined('PHOTOPLOG_USER5') && !defined('PHOTOPLOG_USER6'))
				||
			!eregi("\.(gif|jpg|png)$",$photoplog_file_name)
				||
			!is_uploaded_file($photoplog_file_tmp_name)
				||
			$photoplog_file_error
				||
			!$photoplog_file_size
				||
			(
				$permissions['photoplogmaxfilesize']
					&&
				$photoplog_file_size > intval($permissions['photoplogmaxfilesize'])
			)
				||
			!in_array($photoplog_file_type, array('image/gif','image/jpeg','image/pjpeg','image/png'))
		)
		{
			@unlink($photoplog_file_tmp_name);
			photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_file']);
		}
		else
		{
			$photoplog_directory_name = PHOTOPLOG_BWD."/".$vbulletin->options['photoplog_upload_dir']."/".$photoplog_file_userid;

			if (!is_dir($photoplog_directory_name))
			{
				@mkdir($photoplog_directory_name,0777);
				@chmod($photoplog_directory_name,0777);

				if ($photoplog_handle = @fopen($photoplog_directory_name."/index.html","w"))
				{
					$photoplog_blank = '';
					@fwrite($photoplog_handle,$photoplog_blank);
					@fclose($photoplog_handle);
				}
				else
				{
					photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_open']);
				}
			}

			$photoplog_counter = 1;
			$photoplog_file_name = $photoplog_counter."_".$photoplog_file_name;
			$photoplog_file_location = $photoplog_directory_name."/".$photoplog_file_name;

			while (file_exists($photoplog_file_location) && $photoplog_counter <= 500)
			{
				$photoplog_counter++;
				$photoplog_file_name = $photoplog_counter."_".eregi_replace("^[0-9]+[_]","",$photoplog_file_name);
				$photoplog_file_location = $photoplog_directory_name."/".$photoplog_file_name;
			}

			if ($photoplog_counter <= 500)
			{
				$photoplog_file_check = @getimagesize($photoplog_file_tmp_name);

				if (
					$photoplog_file_check === false
						||
					!is_array($photoplog_file_check)
						||
					empty($photoplog_file_check)
						||
					!in_array($photoplog_file_check[2],array(1,2,3))
				)
				{
					@unlink($photoplog_file_tmp_name);
					photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_type']);
				}

				move_uploaded_file($photoplog_file_tmp_name,$photoplog_file_location);

				$photoplog_file_check = @getimagesize($photoplog_file_location);

				if (
					$photoplog_file_check === false
						||
					!is_array($photoplog_file_check)
						||
					empty($photoplog_file_check)
						||
					!in_array($photoplog_file_check[2],array(1,2,3))
				)
				{
					@unlink($photoplog_file_location);
					photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_type']);
				}
				else
				{
					$photoplog_large_thumb = photoplog_create_thumbs(
						$photoplog_file_check, $photoplog_directory_name, $photoplog_file_name,
						$vbulletin->options['photoplog_large_size'],
						$vbulletin->options['photoplog_jpg_quality'], 'large'
					);
					$photoplog_medium_thumb = photoplog_create_thumbs(
						$photoplog_file_check, $photoplog_directory_name, $photoplog_file_name,
						$vbulletin->options['photoplog_medium_size'],
						$vbulletin->options['photoplog_jpg_quality'], 'medium'
					);
					$photoplog_small_thumb = photoplog_create_thumbs(
						$photoplog_file_check, $photoplog_directory_name, $photoplog_file_name,
						$vbulletin->options['photoplog_small_size'],
						$vbulletin->options['photoplog_jpg_quality'], 'small'
					);

					if (
						$photoplog_large_thumb === false
							||
						$photoplog_medium_thumb === false
							||
						$photoplog_small_thumb === false
					)
					{
						@unlink($photoplog_file_location);
						@unlink($photoplog_directory_name."/large/".$photoplog_file_name);
						@unlink($photoplog_directory_name."/medium/".$photoplog_file_name);
						@unlink($photoplog_directory_name."/small/".$photoplog_file_name);
						photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_save']);
					}
				}
			}
			else
			{
				photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_name']);
			}
		}
	}

	if (!$photoplog_file_edit && empty($photoplog_file_title) && empty($photoplog_file_description))
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_text']);
	}

	$photoplog_replace_name = $photoplog_file_old;
	if ($photoplog_file_edit)
	{
		$photoplog_replace_name = $photoplog_file_name;
	}

	if (
		$db->query_write("REPLACE INTO photoplog_fileuploads
			(fileid, userid, username, title, description, filename, filesize, dateline, views, catid, moderate)
			VALUES (
				".intval($photoplog_file_id).",
				".intval($photoplog_file_userid).",
				'".$db->escape_string($photoplog_file_username)."',
				'".$db->escape_string($photoplog_file_title)."',
				'".$db->escape_string($photoplog_file_description)."',
				'".$db->escape_string($photoplog_replace_name)."',
				".intval($photoplog_file_size).",
				".intval(TIMENOW).",
				0,
				".intval($photoplog_file_catid).",
				".intval($photoplog_file_moderate)."
			)
		")
	)
	{
		$db->query_write("UPDATE photoplog_ratecomment
					SET catid = ".intval($photoplog_file_catid)."
					WHERE fileid = ".intval($photoplog_file_id)."
		");

		if ($photoplog_file_old && $photoplog_file_edit)
		{
			@unlink($photoplog_directory_name."/".$photoplog_file_old);
			@unlink($photoplog_directory_name."/large/".$photoplog_file_old);
			@unlink($photoplog_directory_name."/medium/".$photoplog_file_old);
			@unlink($photoplog_directory_name."/small/".$photoplog_file_old);
		}

		$photoplog_id = intval($photoplog_file_id);
		$photoplog_url = $photoplog_location.'/index.php?'.$vbulletin->session->vars['sessionurl'].'n='.$photoplog_id;
		exec_header_redirect($photoplog_url);
		exit();
	}
	else
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_luck']);
	}
}

if ($_REQUEST['do'] != 'edit' && $_POST['do'] != 'doedit')
{
	photoplog_index_bounce();
}

?>