<?php

/**************************************************************************
PhotoPlog Lite License
===========================================================================
This software is as-is, no warranty of any kind, use at your own risk.
You are granted free use of this software. However, you are not permitted 
under any circumstances to redistribute the software, whether in whole or 
in part. Also, the 'powered by' links must remain intact and visible. Make 
sure to understand that this is *not GPL software. Do not redistribute it, 
and do not use parts of it in other software. This software is copyrighted 
in its entirety to 'calorie' a/k/a ThinkDing LLC 2005, all rights reserved.
The software author/entity are in no way responsible for your site content.
All copyright notices and 'powered by' links must not be changed or removed.
***************************************************************************/

// ###################### REQUIRE PLOG BACK-END ###########################
define('PHOTOPLOG_LEVEL','upload');
require_once('./settings.php');

// ########################### Start Upload Page ##########################
if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = 'upload';
}

$photoplog_cnt_check = $db->query_first("SELECT COUNT(*) AS cnt_check
				FROM photoplog_fileuploads
				WHERE userid = ".intval($vbulletin->userinfo['userid'])."
");

if (
	$permissions['photoplogmaxfilelimit']
		&&
	(
		!$photoplog_cnt_check
			||
		(
			$photoplog_cnt_check
				&&
			$photoplog_cnt_check['cnt_check'] >= intval($permissions['photoplogmaxfilelimit'])
		)
	)
)
{
	photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_max']);
}

$db->free_result($photoplog_cnt_check);

if ($_REQUEST['do'] == 'upload')
{
	$photoplog_file_catid = -1;
	ob_start();
	print_select_row($vbphrase['photoplog_category'], 'userfileinfo[catid]', $photoplog_list_categories, $photoplog_file_catid, true, 0, false);
	$photoplog_select_row = ob_get_contents();
	ob_end_clean();
	$photoplog_select_row = str_replace("class=\"alt1\"","class=\"alt2\"",$photoplog_select_row);
	$photoplog_select_row = str_replace("class=\"bginput\"","class=\"\"",$photoplog_select_row);

	$photoplog_maxfilesize = intval($permissions['photoplogmaxfilesize']);
	$photoplog_maxfilesize = vb_number_format($photoplog_maxfilesize,1,true);

	photoplog_output_page('photoplog_upload_form', $vbphrase['photoplog_upload_file']);
}

if ($_POST['do'] == 'doupload')
{
	$vbulletin->input->clean_array_gpc('p', array(
		'userfileinfo' => TYPE_ARRAY
	));

	$vbulletin->input->clean_array_gpc('f', array(
		'userfile' => TYPE_ARRAY
	));

	$photoplog_userfileinfo = $vbulletin->GPC['userfileinfo'];

	$photoplog_file_userid = intval($photoplog_userfileinfo['userid']);
	$photoplog_file_title = trim($photoplog_userfileinfo['title']);
	$photoplog_file_description = trim($photoplog_userfileinfo['description']);

	$photoplog_file_catid = intval($photoplog_userfileinfo['catid']);
	if ($photoplog_file_catid < 0)
	{
		$photoplog_file_catid = 0;
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_no'].' '.$vbphrase['photoplog_category']);
	}

	$photoplog_userfile = $vbulletin->GPC['userfile'];

	$photoplog_file_name = eregi_replace("[^a-z0-9._-]","_",trim($photoplog_userfile['name']));
	$photoplog_file_type = htmlspecialchars_uni($photoplog_userfile['type']);
	$photoplog_file_tmp_name = htmlspecialchars_uni($photoplog_userfile['tmp_name']);
	$photoplog_file_error = intval($photoplog_userfile['error']);
	$photoplog_file_size = intval($photoplog_userfile['size']);

	if (
		$photoplog_file_userid != $vbulletin->userinfo['userid']
			||
		!eregi("\.(gif|jpg|png)$",$photoplog_file_name)
			||
		!is_uploaded_file($photoplog_file_tmp_name)
			||
		$photoplog_file_error
			||
		!$photoplog_file_size
			||
		(
			$permissions['photoplogmaxfilesize']
				&&
			$photoplog_file_size > intval($permissions['photoplogmaxfilesize'])
		)
			||
		!in_array($photoplog_file_type, array('image/gif','image/jpeg','image/pjpeg','image/png'))
	)
	{
		@unlink($photoplog_file_tmp_name);
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_file']);
	}
	else
	{
		$photoplog_directory_name = PHOTOPLOG_BWD."/".$vbulletin->options['photoplog_upload_dir']."/".$photoplog_file_userid;

		if (!is_dir($photoplog_directory_name))
		{
			@mkdir($photoplog_directory_name,0777);
			@chmod($photoplog_directory_name,0777);

			if ($photoplog_handle = @fopen($photoplog_directory_name."/index.html","w"))
			{
				$photoplog_blank = '';
				@fwrite($photoplog_handle,$photoplog_blank);
				@fclose($photoplog_handle);
			}
			else
			{
				photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_open']);
			}
		}

		$photoplog_counter = 1;
		$photoplog_file_name = $photoplog_counter."_".$photoplog_file_name;
		$photoplog_file_location = $photoplog_directory_name."/".$photoplog_file_name;

		while (file_exists($photoplog_file_location) && $photoplog_counter <= 500)
		{
			$photoplog_counter++;
			$photoplog_file_name = $photoplog_counter."_".eregi_replace("^[0-9]+[_]","",$photoplog_file_name);
			$photoplog_file_location = $photoplog_directory_name."/".$photoplog_file_name;
		}

		if ($photoplog_counter <= 500)
		{
			$photoplog_file_check = @getimagesize($photoplog_file_tmp_name);

			if (
				$photoplog_file_check === false
					||
				!is_array($photoplog_file_check)
					||
				empty($photoplog_file_check)
					||
				!in_array($photoplog_file_check[2],array(1,2,3))
			)
			{
				@unlink($photoplog_file_tmp_name);
				photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_type']);
			}

			move_uploaded_file($photoplog_file_tmp_name,$photoplog_file_location);

			$photoplog_file_check = @getimagesize($photoplog_file_location);

			if (
				$photoplog_file_check === false
					||
				!is_array($photoplog_file_check)
					||
				empty($photoplog_file_check)
					||
				!in_array($photoplog_file_check[2],array(1,2,3))
			)
			{
				@unlink($photoplog_file_location);
				photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_type']);
			}
			else
			{
				$photoplog_large_thumb = photoplog_create_thumbs(
					$photoplog_file_check, $photoplog_directory_name, $photoplog_file_name,
					$vbulletin->options['photoplog_large_size'],
					$vbulletin->options['photoplog_jpg_quality'], 'large'
				);
				$photoplog_medium_thumb = photoplog_create_thumbs(
					$photoplog_file_check, $photoplog_directory_name, $photoplog_file_name,
					$vbulletin->options['photoplog_medium_size'],
					$vbulletin->options['photoplog_jpg_quality'], 'medium'
				);
				$photoplog_small_thumb = photoplog_create_thumbs(
					$photoplog_file_check, $photoplog_directory_name, $photoplog_file_name,
					$vbulletin->options['photoplog_small_size'],
					$vbulletin->options['photoplog_jpg_quality'], 'small'
				);

				if (
					$photoplog_large_thumb === false
						||
					$photoplog_medium_thumb === false
						||
					$photoplog_small_thumb === false
				)
				{
					@unlink($photoplog_file_location);
					@unlink($photoplog_directory_name."/large/".$photoplog_file_name);
					@unlink($photoplog_directory_name."/medium/".$photoplog_file_name);
					@unlink($photoplog_directory_name."/small/".$photoplog_file_name);
					photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_save']);
				}

			}
		}
		else
		{
			photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_name']);
		}

		$photoplog_sql = 1;
		if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcanuploadunmoderatedfiles'])
		{
			$photoplog_sql = 0;
		}

		if (
			$db->query_write("INSERT INTO photoplog_fileuploads
				(userid, username, title, description, filename, filesize, dateline, catid, moderate)
				VALUES (
					".intval($vbulletin->userinfo['userid']).",
					'".$db->escape_string($vbulletin->userinfo['username'])."',
					'".$db->escape_string($photoplog_file_title)."',
					'".$db->escape_string($photoplog_file_description)."',
					'".$db->escape_string($photoplog_file_name)."',
					".intval($photoplog_file_size).",
					".intval(TIMENOW).",
					".intval($photoplog_file_catid).",
					".intval($photoplog_sql)."
				)
			")
		)
		{
			$photoplog_id = $db->insert_id();
			$photoplog_url = $photoplog_location.'/index.php?'.$vbulletin->session->vars['sessionurl'].'n='.$photoplog_id;
			exec_header_redirect($photoplog_url);
			exit();
		}
		else
		{
			photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_luck']);
		}
	}
}

if ($_REQUEST['do'] != 'upload' && $_POST['do'] != 'doupload')
{
	photoplog_index_bounce();
}

?>