<?php

/**************************************************************************
PhotoPlog Lite License
===========================================================================
This software is as-is, no warranty of any kind, use at your own risk.
You are granted free use of this software. However, you are not permitted 
under any circumstances to redistribute the software, whether in whole or 
in part. Also, the 'powered by' links must remain intact and visible. Make 
sure to understand that this is *not GPL software. Do not redistribute it, 
and do not use parts of it in other software. This software is copyrighted 
in its entirety to 'calorie' a/k/a ThinkDing LLC 2005, all rights reserved.
The software author/entity are in no way responsible for your site content.
All copyright notices and 'powered by' links must not be changed or removed.
***************************************************************************/

// ###################### REQUIRE PLOG BACK-END ###########################
define('PHOTOPLOG_LEVEL','comment');
define('GET_EDIT_TEMPLATES', true);
require_once('./settings.php');

// ########################### Start Comment Page #########################
if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = 'comment';
}

if ($_REQUEST['do'] == 'comment')
{
	if (!defined('PHOTOPLOG_USER8'))
	{
		photoplog_index_bounce();
	}

	$vbulletin->input->clean_array_gpc('g', array(
		'n' => TYPE_UINT
	));

	$photoplog_fileid = $vbulletin->GPC['n'];
	$photoplog_commentid = 0;

	$photoplog_file_info = '';
	if (!$photoplog_file_info_links && $photoplog_file_id)
	{
		$photoplog_file_info = $db->query_first("SELECT *
							FROM photoplog_fileuploads
							WHERE fileid = ".intval($photoplog_file_id)."
							$photoplog_admin_sql1
		");
	}
	else if ($photoplog_file_info_links && $photoplog_file_id)
	{
		$photoplog_file_info = $photoplog_file_info_links;
	}
	unset($photoplog_file_info_links);

	if ($photoplog_file_info)
	{
		$vbulletin->bbcodecache = array();

		if (!function_exists('construct_edit_toolbar'))
		{
			require_once(DIR . '/includes/functions_editor.php');
		}

		$photoplog_catid = $photoplog_file_info['catid'];
		$photoplog_userid = $photoplog_file_info['userid'];
		$photoplog_fileid = $photoplog_file_info['fileid'];
		$photoplog_filename = $photoplog_file_info['filename'];

		$photoplog_file_link = photoplog_file_link($photoplog_userid, $photoplog_fileid, $photoplog_filename);

		$do_html = 0;
		$do_smilies = 0;
		$do_comments = 0;
		$do_imgcode = 0;

		if (in_array($photoplog_catid,array_keys($photoplog_ds_catopts)))
		{
			$photoplog_categorybit = $photoplog_ds_catopts["$photoplog_catid"]['options'];
			$photoplog_catoptions = convert_bits_to_array($photoplog_categorybit, $photoplog_categoryoptions);

			$do_html = ($photoplog_catoptions['allowhtml']) ? 1 : 0;
			$do_smilies = ($photoplog_catoptions['allowsmilies']) ? 1 : 0;
			$do_comments = ($photoplog_catoptions['allowcomments']) ? 1 : 0;

			// this is to show the little image toolbar icon
			$do_imgcode = ($photoplog_catoptions['allowimgcode']) ? 1 : 0;
			$vbulletin->options['allowbbimagecode'] = $do_imgcode;
		}

		if (!$do_comments)
		{
			photoplog_index_bounce();
		}

		// yep this is how fileid is passed in
		$editorid = construct_edit_toolbar('', $do_html, 'nonforum', $do_smilies, $photoplog_fileid);

		photoplog_output_page('photoplog_comment_form', $vbphrase['photoplog_comment']);
	}
	else
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_mod_queue']);
	}
}

if ($_POST['do'] == 'docomment')
{
	if (!defined('PHOTOPLOG_USER8') && !defined('PHOTOPLOG_USER9') && !defined('PHOTOPLOG_USER11'))
	{
		photoplog_index_bounce();
	}

	$vbulletin->input->clean_array_gpc('p', array(
		'fileid' => TYPE_UINT,
		'commentid' => TYPE_UINT,
		'rating' => TYPE_UINT,
		'title' => TYPE_STR,
		'message' => TYPE_STR,
		'wysiwyg' => TYPE_BOOL
	));

	$photoplog_fileid = $vbulletin->GPC['fileid'];
	$photoplog_commentid = $vbulletin->GPC['commentid'];
	$photoplog_rating = $vbulletin->GPC['rating'];
	$photoplog_title = $vbulletin->GPC['title'];
	$photoplog_comment = $vbulletin->GPC['message'];
	$photoplog_wysiwyg = $vbulletin->GPC['wysiwyg'];

	$photoplog_file_info = $db->query_first("SELECT *
						FROM photoplog_fileuploads
						WHERE fileid = ".intval($photoplog_fileid)."
						$photoplog_admin_sql1
	");

	$do_html = false;
	$do_comments = false;

	if ($photoplog_file_info)
	{
		$photoplog_catid = $photoplog_file_info['catid'];
		if (in_array($photoplog_catid,array_keys($photoplog_ds_catopts)))
		{
			$photoplog_categorybit = $photoplog_ds_catopts["$photoplog_catid"]['options'];
			$photoplog_catoptions = convert_bits_to_array($photoplog_categorybit, $photoplog_categoryoptions);

			$do_html = ($photoplog_catoptions['allowhtml']) ? true : false;
			$do_comments = ($photoplog_catoptions['allowcomments']) ? true : false;
		}

		if (!$do_comments)
		{
			photoplog_index_bounce();
		}

		if ($photoplog_comment == '' || vbstrlen($photoplog_comment) < intval($vbulletin->options['postminchars']))
		{
			$photoplog_msg_too_short = construct_phrase($vbphrase['message_too_short'],$vbulletin->options['postminchars']);
			photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$photoplog_msg_too_short);
		}

		if ($photoplog_wysiwyg)
		{
			if (!function_exists('convert_wysiwyg_html_to_bbcode'))
			{
				require_once(DIR . '/includes/functions_wysiwyg.php');
			}

			$photoplog_comment = str_replace($vbulletin->options['bburl']."/images/smilies/","images/smilies/",$photoplog_comment);
			$photoplog_comment = convert_wysiwyg_html_to_bbcode($photoplog_comment, $do_html);
		}

		if (!$photoplog_commentid)
		{
			if (defined('PHOTOPLOG_USER8'))
			{
				$photoplog_sql = 1;
				if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcanpostunmoderatedcomments'])
				{
					$photoplog_sql = 0;
				}

				$db->query_write("INSERT INTO photoplog_ratecomment
					(fileid, catid, userid, username, rating, title, comment, dateline, moderate, lastedit)
					VALUES (
						".intval($photoplog_fileid).",
						".intval($photoplog_catid).",
						".intval($vbulletin->userinfo['userid']).",
						'".$db->escape_string($vbulletin->userinfo['username'])."',
						".intval($photoplog_rating).",
						'".$db->escape_string($photoplog_title)."',
						'".$db->escape_string($photoplog_comment)."',
						".intval(TIMENOW).",
						".intval($photoplog_sql).",
						''
					)
				");

				$phpotoplog_pound_place = $db->insert_id();
			}
			else
			{
				photoplog_index_bounce();
			}
		}
		else
		{
			$photoplog_comment_info = $db->query_first("SELECT *
									FROM photoplog_ratecomment
									WHERE commentid = ".intval($photoplog_commentid)."
									AND fileid = ".intval($photoplog_fileid)."
									$photoplog_admin_sql2
			");

			if ($photoplog_comment_info)
			{
				if (
					(
						($photoplog_comment_info['userid'] == $vbulletin->userinfo['userid'])
							&&
						defined('PHOTOPLOG_USER9')
					)
						||
					defined('PHOTOPLOG_USER11')
				)
				{
					$photoplog_catid = $photoplog_comment_info['catid'];
					$photoplog_userid = $photoplog_comment_info['userid'];
					$photoplog_username = $photoplog_comment_info['username'];
					$photoplog_dateline = $photoplog_comment_info['dateline'];

					$photoplog_date = vbdate($vbulletin->options['dateformat'],TIMENOW);
					$photoplog_time = vbdate($vbulletin->options['timeformat'],TIMENOW);

					$photoplog_moderate = 1;
					if ($permissions['photoplogpermissions'] & $vbulletin->bf_ugp_photoplogpermissions['photoplogcanpostunmoderatedcomments'])
					{
						$photoplog_moderate = 0;
					}

					$photoplog_lastedit = '';
					if ($permissions['genericoptions'] & $vbulletin->bf_ugp_genericoptions['showeditedby'])
					{
						if ($photoplog_dateline < (TIMENOW - ($vbulletin->options['noeditedbytime'] * 60)))
						{
							$photoplog_lastedit = construct_phrase($vbphrase['photoplog_last_edited_by'],$vbulletin->userinfo['username'],$photoplog_date,$photoplog_time);
						}
					}

					$db->query_write("REPLACE INTO photoplog_ratecomment
						(commentid, fileid, catid, userid, username, rating, title, comment, dateline, moderate, lastedit)
						VALUES (
							".intval($photoplog_commentid).",
							".intval($photoplog_fileid).",
							".intval($photoplog_catid).",
							".intval($photoplog_userid).",
							'".$db->escape_string($photoplog_username)."',
							".intval($photoplog_rating).",
							'".$db->escape_string($photoplog_title)."',
							'".$db->escape_string($photoplog_comment)."',
							".intval($photoplog_dateline).",
							".intval($photoplog_moderate).",
							'".$db->escape_string($photoplog_lastedit)."'
						)
					");

					$phpotoplog_pound_place = $photoplog_commentid;
				}
				else
				{
					photoplog_index_bounce();
				}
			}
			else
			{
				photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_mod_queue']);
			}
		}

		if ($photoplog_sql == 0 || $photoplog_admin_sql2 == '')
		{
			$photoplog_comment_count = $db->query_first("SELECT COUNT(*) AS num
										FROM photoplog_ratecomment
										WHERE fileid = ".intval($photoplog_fileid)."
										$photoplog_admin_sql2
			");

			if (!$photoplog_comment_count['num'])
			{
				$photoplog_comment_count['num'] = 1;
			}

			$photoplog_comment_page = ceil($photoplog_comment_count['num'] / 5);
			$photoplog_comment_page = '&amp;page='.$photoplog_comment_page.'#comment'.$phpotoplog_pound_place;

			$photoplog_url = $photoplog_location.'/index.php?'.$vbulletin->session->vars['sessionurl'].'n='.$photoplog_fileid.$photoplog_comment_page;
			exec_header_redirect($photoplog_url);
			exit();
		}
		else {
			photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_mod_queue']);
		}
	}
	else
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_mod_queue']);
	}
}

if ($_GET['do'] == 'edit')
{
	if (!defined('PHOTOPLOG_USER9') && !defined('PHOTOPLOG_USER11'))
	{
		photoplog_index_bounce();
	}

	$vbulletin->input->clean_array_gpc('g', array(
		'n' => TYPE_UINT
	));

	$photoplog_commentid = $vbulletin->GPC['n'];

	$photoplog_comment_info = $db->query_first("SELECT *
						FROM photoplog_ratecomment
						WHERE commentid = ".intval($photoplog_commentid)."
						$photoplog_admin_sql2
	");

	if ($photoplog_comment_info)
	{
		if (
			(
				($photoplog_comment_info['userid'] == $vbulletin->userinfo['userid'])
					&&
				defined('PHOTOPLOG_USER9')
			)
				||
			defined('PHOTOPLOG_USER11')
		)
		{
			$vbulletin->bbcodecache = array();

			if (!function_exists('construct_edit_toolbar') || !function_exists('is_wysiwyg_compatible'))
			{
				require_once(DIR . '/includes/functions_editor.php');
			}

			$photoplog_catid = $photoplog_comment_info['catid'];

			$do_html = 0;
			$do_smilies = 0;
			$do_bbcode = 0;
			$do_comments = 0;
			$do_imgcode = 0;

			if (in_array($photoplog_catid,array_keys($photoplog_ds_catopts)))
			{
				$photoplog_categorybit = $photoplog_ds_catopts["$photoplog_catid"]['options'];
				$photoplog_catoptions = convert_bits_to_array($photoplog_categorybit, $photoplog_categoryoptions);

				$do_html = ($photoplog_catoptions['allowhtml']) ? 1 : 0;
				$do_smilies = ($photoplog_catoptions['allowsmilies']) ? 1 : 0;
				$do_bbcode = ($photoplog_catoptions['allowbbcode']) ? 1 : 0;
				$do_comments = ($photoplog_catoptions['allowcomments']) ? 1 : 0;

				// this is to show the little image toolbar icon
				$do_imgcode = ($photoplog_catoptions['allowimgcode']) ? 1 : 0;
				$vbulletin->options['allowbbimagecode'] = $do_imgcode;
			}

			if (!$do_comments)
			{
				photoplog_index_bounce();
			}

			$photoplog_checked = array();
			$photoplog_rating = $photoplog_comment_info['rating'];
			for ($i=0; $i<=5; $i++)
			{
				$photoplog_checked[$i] = '';
				if ($i == $photoplog_rating)
				{
					$photoplog_checked[$i] = "checked=\"checked\"";
				}
			}

			$photoplog_fileid = $photoplog_comment_info['fileid'];

			$photoplog_file_info = $db->query_first("SELECT *
								FROM photoplog_fileuploads
								WHERE fileid = ".intval($photoplog_fileid)."
								$photoplog_admin_sql1
			");
			$photoplog_userid = $photoplog_file_info['userid'];
			$photoplog_fileid = $photoplog_file_info['fileid'];
			$photoplog_filename = $photoplog_file_info['filename'];

			$photoplog_file_link = photoplog_file_link($photoplog_userid, $photoplog_fileid, $photoplog_filename);

			$photoplog_title = $photoplog_comment_info['title'];
			$photoplog_title = photoplog_process_text($photoplog_title, $photoplog_catid, true, false);
			if ($photoplog_title == $vbphrase['photoplog_not_available'])
			{
				$photoplog_title = '';
			}

			$photoplog_comment = $photoplog_comment_info['comment'];
			$photoplog_comment = photoplog_process_text($photoplog_comment, $photoplog_catid, false, false);

			// yep this is how fileid is passed in
			$editorid = construct_edit_toolbar('', $do_html, 'nonforum', $do_smilies, $photoplog_fileid);

			$photoplog_toolbartype = $do_bbcode ? is_wysiwyg_compatible(-1, 'fe') : 0;
			if ($photoplog_toolbartype != 2)
			{
				$photoplog_comment = $photoplog_comment_info['comment'];
			}

			// special character stuff for the editors
			$photoplog_comment = htmlspecialchars_uni($photoplog_comment);

			// yep this is how to get the comment in
			$messagearea = str_replace("</textarea>",$photoplog_comment."</textarea>",$messagearea);

			photoplog_output_page('photoplog_comment_form', $vbphrase['photoplog_comment']);
		}
		else
		{
			photoplog_index_bounce();
		}
	}
	else
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_edit']);
	}
}

if ($_GET['do'] == 'delete')
{
	if (!defined('PHOTOPLOG_USER10') && !defined('PHOTOPLOG_USER12'))
	{
		photoplog_index_bounce();
	}

	$vbulletin->input->clean_array_gpc('g', array(
		'n' => TYPE_UINT
	));

	$photoplog_commentid = $vbulletin->GPC['n'];

	$photoplog_comment_info = $db->query_first("SELECT *
						FROM photoplog_ratecomment
						WHERE commentid = ".intval($photoplog_commentid)."
						$photoplog_admin_sql2
	");

	$photoplog_catid = $photoplog_comment_info['catid'];

	$do_comments = 0;

	if (in_array($photoplog_catid,array_keys($photoplog_ds_catopts)))
	{
		$photoplog_categorybit = $photoplog_ds_catopts["$photoplog_catid"]['options'];
		$photoplog_catoptions = convert_bits_to_array($photoplog_categorybit, $photoplog_categoryoptions);

		$do_comments = ($photoplog_catoptions['allowcomments']) ? 1 : 0;
	}

	if (!$do_comments)
	{
		photoplog_index_bounce();
	}

	if ($photoplog_comment_info)
	{
		if (
			(
				($photoplog_comment_info['userid'] == $vbulletin->userinfo['userid'])
					&&
				defined('PHOTOPLOG_USER10')
			)
				||
			defined('PHOTOPLOG_USER12')
		)
		{
			photoplog_output_page('photoplog_remove_form', $vbphrase['photoplog_delete_comment']);
		}
		else
		{
			photoplog_index_bounce();
		}
	}
	else
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_tank']);
	}
}

if ($_POST['do'] == 'dodelete')
{
	if (!defined('PHOTOPLOG_USER10') && !defined('PHOTOPLOG_USER12'))
	{
		photoplog_index_bounce();
	}

	$vbulletin->input->clean_array_gpc('p', array(
		'commentid' => TYPE_UINT
	));

	$photoplog_commentid = $vbulletin->GPC['commentid'];

	$photoplog_comment_info = $db->query_first("SELECT *
						FROM photoplog_ratecomment
						WHERE commentid = ".intval($photoplog_commentid)."
						$photoplog_admin_sql2
	");

	$photoplog_catid = $photoplog_comment_info['catid'];

	$do_comments = 0;

	if (in_array($photoplog_catid,array_keys($photoplog_ds_catopts)))
	{
		$photoplog_categorybit = $photoplog_ds_catopts["$photoplog_catid"]['options'];
		$photoplog_catoptions = convert_bits_to_array($photoplog_categorybit, $photoplog_categoryoptions);

		$do_comments = ($photoplog_catoptions['allowcomments']) ? 1 : 0;
	}

	if (!$do_comments)
	{
		photoplog_index_bounce();
	}

	if ($photoplog_comment_info)
	{
		if (
			(
				($photoplog_comment_info['userid'] == $vbulletin->userinfo['userid'])
					&&
				defined('PHOTOPLOG_USER10')
			)
				||
			defined('PHOTOPLOG_USER12')
		)
		{
			$photoplog_fileid = $photoplog_comment_info['fileid'];

			$db->query_write("DELETE FROM photoplog_ratecomment
						WHERE commentid = ".intval($photoplog_commentid)."
						$photoplog_admin_sql2
			");

			$photoplog_url = $photoplog_location.'/index.php?'.$vbulletin->session->vars['sessionurl'].'n='.$photoplog_fileid;
			exec_header_redirect($photoplog_url);
			exit();
		}
		else
		{
			photoplog_index_bounce();
		}
	}
	else
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_bad_tank']);
	}
}

if ($_REQUEST['do'] != 'comment' && $_POST['do'] != 'docomment' && $_GET['do'] != 'edit' && $_GET['do'] != 'delete' && $_POST['do'] != 'dodelete')
{
	photoplog_index_bounce();
}

?>