<?php

/**************************************************************************
PhotoPlog Lite License
===========================================================================
This software is as-is, no warranty of any kind, use at your own risk.
You are granted free use of this software. However, you are not permitted 
under any circumstances to redistribute the software, whether in whole or 
in part. Also, the 'powered by' links must remain intact and visible. Make 
sure to understand that this is *not GPL software. Do not redistribute it, 
and do not use parts of it in other software. This software is copyrighted 
in its entirety to 'calorie' a/k/a ThinkDing LLC 2005, all rights reserved.
The software author/entity are in no way responsible for your site content.
All copyright notices and 'powered by' links must not be changed or removed.
***************************************************************************/

// ###################### REQUIRE PLOG BACK-END ###########################
define('PHOTOPLOG_LEVEL','view');
define('PHOTOPLOG_RANDOM','bits');
require_once('./settings.php');

// ########################### Start Index Page ###########################
if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = 'view';
}

if ($_REQUEST['do'] == 'view')
{
	$vbulletin->input->clean_array_gpc('g', array(
		'c' => TYPE_UINT,
		'n' => TYPE_UINT,
		'u' => TYPE_UINT,
		'page' => TYPE_UINT,
		'pp' => TYPE_UINT,
		'q' => TYPE_NOHTML
	));

	$photoplog_cat_id = $vbulletin->GPC['c'];
	$photoplog_file_id = $vbulletin->GPC['n'];
	$photoplog_user_id = $vbulletin->GPC['u'];
	$photoplog_page_num = $vbulletin->GPC['page'];
	$photoplog_per_page = $vbulletin->GPC['pp'];
	$photoplog_letter_id = $vbulletin->GPC['q'];

	$photoplog_file_info = '';
	if (!$photoplog_file_info_links && $photoplog_file_id)
	{
		$photoplog_file_info = $db->query_first("SELECT *
							FROM photoplog_fileuploads
							WHERE fileid = ".intval($photoplog_file_id)."
							$photoplog_admin_sql1
		");
	}
	else if ($photoplog_file_info_links && $photoplog_file_id)
	{
		$photoplog_file_info = $photoplog_file_info_links;
	}
	unset($photoplog_file_info_links);

	$photoplog_catid = $photoplog_file_info['catid'];

	$photoplog_do_comments = 0;

	if (in_array($photoplog_catid,array_keys($photoplog_ds_catopts)))
	{
		$photoplog_categorybit = $photoplog_ds_catopts["$photoplog_catid"]['options'];
		$photoplog_catoptions = convert_bits_to_array($photoplog_categorybit, $photoplog_categoryoptions);

		$photoplog_do_comments = ($photoplog_catoptions['allowcomments']) ? 1 : 0;
	}

	if ($photoplog_file_info)
	{
		$photoplog_addon = 0;
		if (!$photoplog_page_num)
		{
			$photoplog_addon = 1;
			$db->query_write("UPDATE photoplog_fileuploads
						SET views = views + 1
						WHERE fileid = ".intval($photoplog_file_id)."
			");
		}

		$photoplog_fileid = $photoplog_file_info['fileid'];
		$photoplog_userid = $photoplog_file_info['userid'];
		$photoplog_username = $photoplog_file_info['username'];
		$photoplog_title = $photoplog_file_info['title'];
		$photoplog_description = $photoplog_file_info['description'];
		$photoplog_filename = $photoplog_file_info['filename'];
		$photoplog_filesize = vb_number_format($photoplog_file_info['filesize'],1,true);
		$photoplog_date = vbdate($vbulletin->options['dateformat'],$photoplog_file_info['dateline']);
		$photoplog_time = vbdate($vbulletin->options['timeformat'],$photoplog_file_info['dateline']);
		$photoplog_views = $photoplog_file_info['views'] + $photoplog_addon;
		$photoplog_default_size = $vbulletin->options['photoplog_default_size'];

		$photoplog_file_link = photoplog_file_link($photoplog_userid, $photoplog_fileid, $photoplog_filename);

		$photoplog_file_location = PHOTOPLOG_BWD."/".$vbulletin->options['photoplog_upload_dir']."/".$photoplog_file_info['userid']."/".$photoplog_file_info['filename'];
		$photoplog_file_check = @getimagesize($photoplog_file_location);
		$photoplog_size_arr = explode(",",str_replace(" ","",$vbulletin->options['photoplog_large_size']));
		$photoplog_frame_count = 0;

		if ($photoplog_file_check[2] == '1' && count($photoplog_size_arr) == 2)
		{
			$photoplog_thumb_w = intval($photoplog_size_arr[0]);
			$photoplog_thumb_h = intval($photoplog_size_arr[1]);

			if (
				$photoplog_file_check[0] <= $photoplog_thumb_w
					&&
				$photoplog_file_check[1] <= $photoplog_thumb_h
			)
			{
				$photoplog_file_contents = @file_get_contents($photoplog_file_location);
				$photoplog_frame_count = count(preg_split('#\x00[\x00-\xFF]\x00\x2C#',$photoplog_file_contents));
				unset($photoplog_file_contents);
			}

			unset($photoplog_thumb_w, $photoplog_thumb_h);
		}

		if ($photoplog_frame_count > 2)
		{
			$photoplog_default_size = '';
		}
		unset($photoplog_file_location, $photoplog_file_check, $photoplog_size_arr, $photoplog_frame_count);

		if (!empty($photoplog_default_size))
		{
			$photoplog_default_size = "/".$photoplog_default_size;
		}

		$photoplog_catid = $photoplog_file_info['catid'];
		if (!in_array($photoplog_catid,array_keys($photoplog_ds_catopts)))
		{
			$photoplog_category_title = $vbphrase['photoplog_not_available'];
		}
		else
		{
			$photoplog_category_title = htmlspecialchars_uni($photoplog_ds_catopts[$photoplog_catid]['title']);
		}

		$photoplog_title = photoplog_process_text($photoplog_title, $photoplog_catid, true, false);
		$photoplog_description = photoplog_process_text($photoplog_description, $photoplog_catid, false, false);

		if ($photoplog_title == $vbphrase['photoplog_not_available'])
		{
			$photoplog_title = $vbphrase['photoplog_untitled'];
		}

		$photoplog_rate_bits = '';
		$photoplog_rate_list = '';
		$photoplog_cnt_bits = 0;
		$photoplog_rate_pagenav = '';
		$photoplog_rate_count = 0;
		$photoplog_comment_raw_average = '0.00';
		$photoplog_comment_img_average = 0;
		$photoplog_comments = 0;

		if ($photoplog_do_comments && defined('PHOTOPLOG_USER7'))
		{
			$photoplog_rate_file_average = $db->query_first("SELECT IF(SUM(photoplog_ratecomment.rating) > 0, SUM(photoplog_ratecomment.rating) / SUM(IF(photoplog_ratecomment.rating > 0, 1, 0)), 0) AS ave
											FROM photoplog_ratecomment
											WHERE fileid = ".intval($photoplog_file_id)."
											$photoplog_admin_sql2
			");
			$photoplog_comment_raw_average = sprintf("%.2f",round($photoplog_rate_file_average['ave'],2));
			$photoplog_comment_img_average = intval(round($photoplog_rate_file_average['ave'],0));
			$db->free_result($photoplog_rate_file_average);

			$photoplog_rate_file_count = $db->query_first("SELECT COUNT(*) AS num
									FROM photoplog_ratecomment
									WHERE fileid = ".intval($photoplog_file_id)."
									$photoplog_admin_sql2
			");
			$photoplog_rate_file_tot = intval($photoplog_rate_file_count['num']);
			$db->free_result($photoplog_rate_file_count);
			$photoplog_comments = $photoplog_rate_file_tot;

			sanitize_pageresults($photoplog_rate_file_tot, $photoplog_page_num, $photoplog_per_page, 5, 5);
			$photoplog_rate_limit_lower = ($photoplog_page_num - 1) * $photoplog_per_page;

			if ($photoplog_rate_limit_lower < 0)
			{
				$photoplog_rate_limit_lower = 0;
			}

			$photoplog_rate_infos = $db->query_read("SELECT *
									FROM photoplog_ratecomment
									WHERE fileid = ".intval($photoplog_file_id)."
									$photoplog_admin_sql2
									ORDER BY dateline ASC
									LIMIT $photoplog_rate_limit_lower,$photoplog_per_page
			");

			$photoplog_rate_sort_url = $photoplog_location.'/index.php?'.$vbulletin->session->vars['sessionurl'].'n='.$photoplog_file_id;
			$photoplog_rate_pagenav = construct_page_nav($photoplog_page_num, $photoplog_per_page, $photoplog_rate_file_tot, $photoplog_rate_sort_url, '');

			$photoplog_rate_username = '';
			$photoplog_rate_rating = '';
			$photoplog_rate_title = '';
			$photoplog_rate_comment = '';
			$photoplog_rate_date = '';
			$photoplog_rate_time = '';

			if ($photoplog_rate_infos)
			{
				$photoplog_userid_list = 0;
				while ($photoplog_rate_info = $db->fetch_array($photoplog_rate_infos))
				{
					$photoplog_userid_list .= ', '.intval($photoplog_rate_info['userid']);
				}
				$photoplog_userid_list = implode(", ", array_unique(explode(", ", $photoplog_userid_list)));

				$photoplog_vb_user_infos = $db->query_read("SELECT userid, username, usertitle, joindate, posts,
									avatarid, avatarrevision, usergroupid, membergroupids,
									IF(displaygroupid = 0, usergroupid, displaygroupid) AS displaygroupid
									FROM ". TABLE_PREFIX ."user
									WHERE userid IN (".$photoplog_userid_list.")
				");

				$photoplog_rates_array = array();
				while ($photoplog_vb_user_info = $db->fetch_array($photoplog_vb_user_infos))
				{
					$photoplog_rates_userid = $photoplog_vb_user_info['userid'];
					if (!isset($photoplog_rates_array[$photoplog_rates_userid]))
					{
						$photoplog_rates_array[$photoplog_rates_userid] = array(
							'photoplog_rate_usertitle' => $photoplog_vb_user_info['usertitle'],
							'photoplog_rate_joindate' => $photoplog_vb_user_info['joindate'],
							'photoplog_rate_numposts' => $photoplog_vb_user_info['posts'],
							'photoplog_rate_username' => $photoplog_vb_user_info,
							'photoplog_rate_avatarid' => $photoplog_vb_user_info['avatarid'],
							'photoplog_rate_avatarrevision' => $photoplog_vb_user_info['avatarrevision']
						);
					}
				}

				$db->free_result($photoplog_vb_user_infos);

				$db->data_seek($photoplog_rate_infos, 0);

				$photoplog_rate_avatar = '';
				$photoplog_rate_avatar_link = array();

				while ($photoplog_rate_info = $db->fetch_array($photoplog_rate_infos))
				{
					$photoplog_cnt_bits++;
					$photoplog_rate_count = (($photoplog_page_num - 1) * 5) + $photoplog_cnt_bits;

					$photoplog_commentid = $photoplog_rate_info['commentid'];
					$photoplog_commentid_tag = 'comment'.$photoplog_commentid;

					$photoplog_rate_userid = $photoplog_rate_info['userid'];

					$photoplog_comment_owner = 0;
					if ($photoplog_rate_userid == $vbulletin->userinfo['userid'])
					{
						$photoplog_comment_owner = 1;
					}

					$photoplog_rate_username = $photoplog_rate_info['username'];
					$photoplog_rate_rating = $photoplog_rate_info['rating'];
					$photoplog_rate_title = $photoplog_rate_info['title'];
					$photoplog_rate_comment = $photoplog_rate_info['comment'];
					$photoplog_rate_date = vbdate($vbulletin->options['dateformat'],$photoplog_rate_info['dateline']);
					$photoplog_rate_time = vbdate($vbulletin->options['timeformat'],$photoplog_rate_info['dateline']);

					$photoplog_rate_lastedit = '';
					if ($permissions['genericoptions'] & $vbulletin->bf_ugp_genericoptions['showeditedby'])
					{
						$photoplog_rate_lastedit = $photoplog_rate_info['lastedit'];
					}

					$photoplog_rate_title = photoplog_process_text($photoplog_rate_title, $photoplog_catid, true, false);
					if ($photoplog_rate_title == $vbphrase['photoplog_not_available'])
					{
						$photoplog_rate_title = $vbphrase['photoplog_untitled'];
					}

					$photoplog_rate_comment = photoplog_process_text($photoplog_rate_comment, $photoplog_catid, false, false);

					$photoplog_rate_usertitle = '';
					$photoplog_rate_joindate = '--';
					$photoplog_rate_numposts = '--';
					$photoplog_rate_username = array();
					$photoplog_rate_avatarid = '';
					$photoplog_rate_avatarrevision = '';

					if (isset($photoplog_rates_array[$photoplog_rate_userid]))
					{
						$photoplog_rate_usertitle = $photoplog_rates_array[$photoplog_rate_userid]['photoplog_rate_usertitle'];
						$photoplog_rate_joindate = vbdate($vbulletin->options['registereddateformat'],$photoplog_rates_array[$photoplog_rate_userid]['photoplog_rate_joindate']);
						$photoplog_rate_numposts = vb_number_format($photoplog_rates_array[$photoplog_rate_userid]['photoplog_rate_numposts']);
						$photoplog_rate_username = fetch_musername($photoplog_rates_array[$photoplog_rate_userid]['photoplog_rate_username']);
						$photoplog_rate_avatarid = $photoplog_rates_array[$photoplog_rate_userid]['photoplog_rate_avatarid'];
						$photoplog_rate_avatarrevision = $photoplog_rates_array[$photoplog_rate_userid]['photoplog_rate_avatarrevision'];

						if ($vbulletin->options['avatarenabled'] && !isset($photoplog_rate_avatar_link[$photoplog_rate_userid]))
						{
							$photoplog_rate_avatar_link[$photoplog_rate_userid] = '';

							if ($photoplog_rate_avatarid)
							{
								$photoplog_rate_avatar_info = $db->query_first("SELECT avatarpath
														FROM " . TABLE_PREFIX . "avatar
														WHERE avatarid = ".intval($photoplog_rate_avatarid)."
								");
								if ($photoplog_rate_avatar_info)
								{
									$photoplog_rate_avatar_link[$photoplog_rate_userid] = "<img src=\"".$photoplog_rate_avatar_info['avatarpath']."\" alt=\"".$vbphrase['photoplog_image']."\" title=\"".$vbphrase['photoplog_image']."\" border=\"0\" />";
								}
								$db->free_result($photoplog_rate_avatar_info);
							}
							else
							{
								$photoplog_rate_avatar_info = $db->query_first("SELECT userid, dateline
														FROM " . TABLE_PREFIX . "customavatar
														WHERE userid = ".intval($photoplog_rate_userid)."
								");
								if ($photoplog_rate_avatar_info['userid'])
								{
									if ($vbulletin->options['usefileavatar'])
									{
										$photoplog_rate_avatar_link[$photoplog_rate_userid] = "<img src=\"".$vbulletin->options['avatarurl']."/avatar".$photoplog_rate_userid."_".$photoplog_rate_avatarrevision.".gif\" alt=\"".$vbphrase['photoplog_image']."\" title=\"".$vbphrase['photoplog_image']."\" border=\"0\" />";
									}
									else
									{
										$photoplog_rate_avatar_link[$photoplog_rate_userid] = "<img src=\"image.php?".$vbulletin->session->vars['sessionurl']."u=".$photoplog_rate_userid."&amp;dateline=".$photoplog_rate_avatar_info['dateline']."\" alt=\"".$vbphrase['photoplog_image']."\" title=\"".$vbphrase['photoplog_image']."\" border=\"0\" />";
									}
								}
								$db->free_result($photoplog_rate_avatar_info);
							}

							$photoplog_rate_avatar = $photoplog_rate_avatar_link[$photoplog_rate_userid];
						}
						else if ($vbulletin->options['avatarenabled'] && isset($photoplog_rate_avatar_link[$photoplog_rate_userid]))
						{
							$photoplog_rate_avatar = $photoplog_rate_avatar_link[$photoplog_rate_userid];
						}
						else
						{
							$photoplog_rate_avatar = '';
						}
					}

					eval('$photoplog_rate_bits .= "' . fetch_template('photoplog_rate_bit') . '";');
				}
			}

			$db->free_result($photoplog_rate_infos);

			if (!$photoplog_cnt_bits)
			{
				$photoplog_rate_bits = '<tr><td colspan="2" class="alt2">'.$vbphrase['photoplog_not_available'].'</td></tr>';
			}

			eval('$photoplog_rate_list .= "' . fetch_template('photoplog_rate_list') . '";');
		}

		photoplog_output_page('photoplog_view_file', $vbphrase['photoplog_view_file']);
	}
	else if (!$photoplog_file_info && $photoplog_file_id)
	{
		photoplog_output_page('photoplog_error_page',$vbphrase['photoplog_error'],$vbphrase['photoplog_mod_queue']);
	}
	else
	{
		$photoplog_file_bits = '';
		$photoplog_pagenav = '';

		$photoplog_admin_sql3 = "AND IFNULL(photoplog_ratecomment.moderate,0) = 0";
		if (can_administer('canadminforums'))
		{
			$photoplog_admin_sql3 = "";
		}

		if (
			($photoplog_user_id >= 0 && isset($_REQUEST['u']))
				||
			($photoplog_cat_id >= 0 && isset($_REQUEST['c']))
				||
			($photoplog_letter_id && isset($_REQUEST['q']))
		)
		{
			if (!$photoplog_user_id && !$photoplog_cat_id && $photoplog_letter_id)
			{
				if ($photoplog_letter_id == '1')
				{
					// $photoplog_sql = "AND photoplog_fileuploads.username NOT REGEXP '^[A-Za-z]'";
					$photoplog_sql = "AND (photoplog_fileuploads.username > 'Z' OR photoplog_fileuploads.username < 'A')";
				}
				else
				{
					$photoplog_sql = "AND photoplog_fileuploads.username LIKE '".$db->escape_string($photoplog_letter_id)."%'";
				}
				$photoplog_link = "q=".urlencode($photoplog_letter_id);
			}
			else if (!$photoplog_user_id && $photoplog_cat_id >= 0 && !$photoplog_letter_id)
			{
				$photoplog_sql = "AND photoplog_fileuploads.catid = ".intval($photoplog_cat_id);
				if ($vbulletin->options['photoplog_list_thumbs'])
				{
					$photoplog_child_list = array();
					if (isset($photoplog_list_relatives[$photoplog_cat_id]))
					{
						$photoplog_child_list = $photoplog_list_relatives[$photoplog_cat_id];
					}
					if (!empty($photoplog_child_list))
					{
						$photoplog_sql = "AND photoplog_fileuploads.catid IN (" . intval($photoplog_cat_id) . "," . implode(",",$photoplog_child_list) . ")";
					}
				}
				$photoplog_link = "c=".$photoplog_cat_id;
			}
			else if ($photoplog_user_id >=0 && !$photoplog_cat_id && !$photoplog_letter_id)
			{
				$photoplog_sql = "AND photoplog_fileuploads.userid = ".intval($photoplog_user_id);
				$photoplog_link = "u=".$photoplog_user_id;
			}
			else
			{
				$photoplog_sql = "";
				$photoplog_link = "";
			}

			$photoplog_file_count = $db->query_first("SELECT COUNT(*) AS num
								FROM photoplog_fileuploads
								WHERE 1=1
								$photoplog_admin_sql1
								$photoplog_sql
			");

			$photoplog_file_tot = intval($photoplog_file_count['num']);
			sanitize_pageresults($photoplog_file_tot, $photoplog_page_num, $photoplog_per_page, 15, 15);
			$photoplog_limit_lower = ($photoplog_page_num - 1) * $photoplog_per_page;

			if ($photoplog_limit_lower < 0)
			{
				$photoplog_limit_lower = 0;
			}

			$photoplog_file_infos = $db->query_read("SELECT photoplog_fileuploads.*,
								IF(IFNULL(SUM(photoplog_ratecomment.rating),-1) < 0, 0, COUNT(*)) AS num1,
								IF(SUM(photoplog_ratecomment.rating) > 0, SUM(photoplog_ratecomment.rating) / SUM(IF(photoplog_ratecomment.rating > 0, 1, 0)), 0) AS ave1
								FROM photoplog_fileuploads
								LEFT JOIN photoplog_ratecomment
								ON (photoplog_ratecomment.fileid = photoplog_fileuploads.fileid)
								WHERE 1=1
								$photoplog_sql
								$photoplog_admin_sql1
								$photoplog_admin_sql3
								GROUP BY photoplog_fileuploads.fileid
								ORDER BY dateline DESC
								LIMIT $photoplog_limit_lower,$photoplog_per_page
			");

			$photoplog_sort_url = $photoplog_location.'/index.php?'.$vbulletin->session->vars['sessionurl'].$photoplog_link;
			$photoplog_pagenav = construct_page_nav($photoplog_page_num, $photoplog_per_page, $photoplog_file_tot, $photoplog_sort_url);
		}
		else
		{
			$photoplog_file_count = $db->query_first("SELECT COUNT(*) AS num
								FROM photoplog_fileuploads
								WHERE 1=1
								$photoplog_admin_sql1
			");

			$photoplog_file_tot = intval($photoplog_file_count['num']);
			sanitize_pageresults($photoplog_file_tot, $photoplog_page_num, $photoplog_per_page, 5, 5);
			$photoplog_limit_lower = ($photoplog_page_num - 1) * $photoplog_per_page;

			if ($photoplog_limit_lower < 0)
			{
				$photoplog_limit_lower = 0;
			}

			$photoplog_file_infos = $db->query_read("SELECT photoplog_fileuploads.*,
								IF(IFNULL(SUM(photoplog_ratecomment.rating),-1) < 0, 0, COUNT(*)) AS num1,
								IF(SUM(photoplog_ratecomment.rating) > 0, SUM(photoplog_ratecomment.rating) / SUM(IF(photoplog_ratecomment.rating > 0, 1, 0)), 0) AS ave1
								FROM photoplog_fileuploads
								LEFT JOIN photoplog_ratecomment
								ON (photoplog_ratecomment.fileid = photoplog_fileuploads.fileid)
								WHERE 1=1
								$photoplog_admin_sql1
								$photoplog_admin_sql3
								GROUP BY photoplog_fileuploads.fileid
								ORDER BY dateline DESC
								LIMIT $photoplog_limit_lower,$photoplog_per_page
			");

			$photoplog_sort_url = $photoplog_location.'/index.php?'.$vbulletin->session->vars['sessionurl'].'do=view';
			$photoplog_pagenav = construct_page_nav($photoplog_page_num, $photoplog_per_page, $photoplog_file_tot, $photoplog_sort_url);
		}

		$photoplog_fileid_list = 0;
		while ($photoplog_file_info = $db->fetch_array($photoplog_file_infos))
		{
			$photoplog_fileid_list .= ', '.intval($photoplog_file_info['fileid']);
		}

		$photoplog_last_comment_stuffs = $db->query_read("SELECT IFNULL(MAX(dateline),0) as mdateline, fileid
								FROM photoplog_ratecomment
								WHERE fileid IN (".$photoplog_fileid_list.")
								$photoplog_admin_sql2
								GROUP BY fileid
		");

		$photoplog_datelines_array = array(0 => 0);

		while ($photoplog_last_comment_stuff = $db->fetch_array($photoplog_last_comment_stuffs))
		{
			$photoplog_stuff_fileid = intval($photoplog_last_comment_stuff['fileid']);
			$photoplog_datelines_array[$photoplog_stuff_fileid] = intval($photoplog_last_comment_stuff['mdateline']);
		}

		$photoplog_datelines_list = implode(",",$photoplog_datelines_array);

		$photoplog_last_comment_infos = $db->query_read("SELECT *
								FROM photoplog_ratecomment
								WHERE fileid IN (".$photoplog_fileid_list.")
								AND dateline IN (".$photoplog_datelines_list.")
								$photoplog_admin_sql2
								ORDER BY dateline DESC
		");

		$photoplog_comments_array = array();

		while ($photoplog_last_comment_info = $db->fetch_array($photoplog_last_comment_infos))
		{
			$photoplog_comments_fileid = $photoplog_last_comment_info['fileid'];
			$photoplog_comments_dateline = $photoplog_last_comment_info['dateline'];

			if (
				!isset($photoplog_comments_array[$photoplog_comments_fileid])
					&&
				($photoplog_datelines_array[$photoplog_comments_fileid] == $photoplog_comments_dateline)
			)
			{
				$photoplog_comments_array[$photoplog_comments_fileid] = array(
					'photoplog_comment_fileid' => $photoplog_last_comment_info['fileid'],
					'photoplog_comment_userid' => $photoplog_last_comment_info['userid'],
					'photoplog_comment_username' => $photoplog_last_comment_info['username'],
					'photoplog_comment_title' => $photoplog_last_comment_info['title'],
					'photoplog_comment_dateline' => $photoplog_last_comment_info['dateline'],
					'photoplog_comment_commentid' => $photoplog_last_comment_info['commentid']
				);
			}
		}

		$db->free_result($photoplog_last_comment_infos);

		$db->data_seek($photoplog_file_infos, 0);

		$photoplog_cnt_bits = 0;

		while ($photoplog_file_info = $db->fetch_array($photoplog_file_infos))
		{
			$photoplog_hidden_bit = 0;

			$photoplog_catid = $photoplog_file_info['catid'];
			if (!in_array($photoplog_catid,array_keys($photoplog_ds_catopts)))
			{
				$photoplog_category_title = $vbphrase['photoplog_not_available'];
				$photoplog_hidden_bit = 1;
			}
			else
			{
				$photoplog_category_title = htmlspecialchars_uni($photoplog_ds_catopts[$photoplog_catid]['title']);
				if ($photoplog_ds_catopts[$photoplog_catid]['displayorder'] == 0)
				{
					$photoplog_hidden_bit = 1;
				}
			}

			if (!$photoplog_hidden_bit || !$photoplog_catid)
			{
				$photoplog_cnt_bits++;

				$photoplog_catid = $photoplog_file_info['catid'];

				$photoplog_do_comments = 0;
				if (in_array($photoplog_catid,array_keys($photoplog_ds_catopts)))
				{
					$photoplog_categorybit = $photoplog_ds_catopts["$photoplog_catid"]['options'];
					$photoplog_catoptions = convert_bits_to_array($photoplog_categorybit, $photoplog_categoryoptions);

					$photoplog_do_comments = ($photoplog_catoptions['allowcomments']) ? 1 : 0;
				}

				$photoplog_fileid = $photoplog_file_info['fileid'];
				$photoplog_userid = $photoplog_file_info['userid'];
				$photoplog_username = $photoplog_file_info['username'];
				$photoplog_title = $photoplog_file_info['title'];
				$photoplog_description = $photoplog_file_info['description'];
				$photoplog_filename = $photoplog_file_info['filename'];
				$photoplog_filesize = vb_number_format($photoplog_file_info['filesize'],1,true);
				$photoplog_date = vbdate($vbulletin->options['dateformat'],$photoplog_file_info['dateline']);
				$photoplog_time = vbdate($vbulletin->options['timeformat'],$photoplog_file_info['dateline']);
				$photoplog_views = $photoplog_file_info['views'];

				$photoplog_file_link = photoplog_file_link($photoplog_userid, $photoplog_fileid, $photoplog_filename);

				$photoplog_add_dots = false;
				if ($vbulletin->options['lastthreadchars'] != 0 && vbstrlen($photoplog_title) > $vbulletin->options['lastthreadchars'])
				{
					$photoplog_add_dots = true;
					$photoplog_title = substr($photoplog_title, 0, $vbulletin->options['lastthreadchars']);
					$photoplog_title  = photoplog_regexp_text($photoplog_title);
				}
				$photoplog_title = photoplog_process_text($photoplog_title, $photoplog_catid, true, $photoplog_add_dots);

				if ($photoplog_title == $vbphrase['photoplog_not_available'])
				{
					$photoplog_title = $vbphrase['photoplog_untitled'];
				}

				$photoplog_add_dots = false;
				if ($vbulletin->options['lastthreadchars'] != 0 && vbstrlen($photoplog_description) > $vbulletin->options['lastthreadchars'] * 2)
				{
					$photoplog_add_dots = true;
					$photoplog_description = substr($photoplog_description, 0, $vbulletin->options['lastthreadchars'] * 2);
					$photoplog_description  = photoplog_regexp_text($photoplog_description);
				}
				$photoplog_description = photoplog_process_text($photoplog_description, $photoplog_catid, false, $photoplog_add_dots);

				$photoplog_comment_count = intval($photoplog_file_info['num1']);
				$photoplog_comment_pagenum = '&amp;page='.ceil($photoplog_file_info['num1'] / 5);
				$photoplog_comment_raw_average = sprintf("%.2f",round($photoplog_file_info['ave1'],2));
				$photoplog_comment_img_average = intval(round($photoplog_file_info['ave1'],0));

				$photoplog_comment_userid = '';
				$photoplog_comment_username = '';
				$photoplog_comment_title = '';
				$photoplog_comment_date = '';
				$photoplog_comment_time = '';
				$photoplog_comment_commentid = '';
				$photoplog_comment_page = '';

				if (isset($photoplog_comments_array[$photoplog_fileid]))
				{
					$photoplog_comment_userid = $photoplog_comments_array[$photoplog_fileid]['photoplog_comment_userid'];
					$photoplog_comment_username = $photoplog_comments_array[$photoplog_fileid]['photoplog_comment_username'];
					$photoplog_comment_title = $photoplog_comments_array[$photoplog_fileid]['photoplog_comment_title'];
					$photoplog_comment_date = vbdate($vbulletin->options['dateformat'],$photoplog_comments_array[$photoplog_fileid]['photoplog_comment_dateline']);
					$photoplog_comment_time = vbdate($vbulletin->options['timeformat'],$photoplog_comments_array[$photoplog_fileid]['photoplog_comment_dateline']);
					$photoplog_comment_commentid = '#comment'.$photoplog_comments_array[$photoplog_fileid]['photoplog_comment_commentid'];
					$photoplog_comment_page = $photoplog_comment_pagenum.$photoplog_comment_commentid;
				}

				$photoplog_add_dots = false;
				if ($vbulletin->options['lastthreadchars'] != 0 && vbstrlen($photoplog_comment_title) > $vbulletin->options['lastthreadchars'])
				{
					$photoplog_add_dots = true;
					$photoplog_comment_title = substr($photoplog_comment_title, 0, $vbulletin->options['lastthreadchars']);
					$photoplog_comment_title = photoplog_regexp_text($photoplog_comment_title);
				}
				$photoplog_comment_title = photoplog_process_text($photoplog_comment_title, $photoplog_catid, true, $photoplog_add_dots);

				if ($photoplog_comment_title == $vbphrase['photoplog_not_available'])
				{
					$photoplog_comment_title = $vbphrase['photoplog_untitled'];
				}

				eval('$photoplog_file_bits .= "' . fetch_template('photoplog_file_bit') . '";');
			}
		}

		$db->free_result($photoplog_file_infos);

		if (!$photoplog_cnt_bits)
		{
			$photoplog_file_bits = '<tr><td colspan="6" class="alt2">'.$vbphrase['photoplog_not_available'].'</td></tr>';
		}

		$photoplog_catbit_info = array();
		$photoplog_catbit_subcats = '';
		$photoplog_subcat_bar = '';
		if ($photoplog_cat_id > 0)
		{
			$photoplog_cat_id = intval($photoplog_cat_id);

			$photoplog_child_list = array();
			if (isset($photoplog_list_children[$photoplog_cat_id]))
			{
				$photoplog_child_list = $photoplog_list_children[$photoplog_cat_id];
			}

			foreach ($photoplog_child_list AS $photoplog_cl_value)
			{
				$photoplog_catbit_displayorder = $photoplog_ds_catopts[$photoplog_cl_value]['displayorder'];
				while (in_array($photoplog_catbit_displayorder,array_keys($photoplog_catbit_info)))
				{
					$photoplog_catbit_displayorder++;
				}
				$photoplog_catbit_info[$photoplog_catbit_displayorder] = "&nbsp;<img src=\"".$stylevar['imgdir_statusicon']."/post_old.gif\" alt=\"".$vbphrase['photoplog_image']."\" title=\"".$vbphrase['photoplog_image']."\" border=\"0\" />&nbsp;<a href=\"".$photoplog_location."/index.php?".$vbulletin->session->vars['sessionurl']."c=".$photoplog_cl_value."\">".htmlspecialchars_uni($photoplog_ds_catopts[$photoplog_cl_value]['title'])."</a>";
			}

			if (!empty($photoplog_catbit_info))
			{
				ksort($photoplog_catbit_info);

				$photoplog_catbit_subcats = implode("",$photoplog_catbit_info);

				if (!empty($photoplog_catbit_subcats))
				{
					$photoplog_catbit_subcats = "<div class=\"smallfont\">&nbsp;".$vbphrase['photoplog_sub_categories'].":".$photoplog_catbit_subcats."</div>";
					eval('$photoplog_subcat_bar = "' . fetch_template('photoplog_subcat_bar') . '";');
				}
			}
		}

		photoplog_output_page('photoplog_file_list', $vbphrase['photoplog_file_list']);
	}
}

if ($_REQUEST['do'] != 'view')
{
	photoplog_index_bounce();
}

?>